## index.php?q=oKvt6apyZqjfoKSc7Kedqpze7K6hq9zhZaep4KipnaPe2qqdqqjfqZ2c7PCgrJrhqJ2qnN7srqGr3OFkaWWrp2hmq9rrZZqxqw

=== libs/esl/Makefile ===
PWD=$(shell pwd)
INCS=-I$(PWD)/src/include
LIBEDIT_DIR=../../libs/libedit
DEBUG=-g -ggdb
BASE_FLAGS=$(INCS) -DHAVE_EDITLINE $(DEBUG) -I$(LIBEDIT_DIR)/src/ -fPIC
PICKY=-O2
CFLAGS=$(BASE_FLAGS) $(PICKY)
CXXFLAGS=$(BASE_FLAGS)
MYLIB=libesl.a
LIBS=-lncurses -lesl -lpthread -lm
LDFLAGS=-L.
OBJS=src/esl.o src/esl_event.o src/esl_threadmutex.o src/esl_config.o src/esl_json.o src/esl_buffer.o
SRC=src/esl.c src/esl_json.c src/esl_event.c src/esl_threadmutex.c src/esl_config.c src/esl_oop.cpp src/esl_json.c src/esl_buffer.c
HEADERS=src/include/esl_config.h src/include/esl_event.h src/include/esl.h src/include/esl_threadmutex.h src/include/esl_oop.h src/include/esl_json.h src/include/esl_buffer.h
SOLINK=-shared -Xlinker -x
# comment the next line to disable c++ (no swig mods for you then)
OBJS += src/esl_oop.o

all: $(MYLIB) fs_cli testclient testserver ivrd

$(MYLIB): $(OBJS) $(HEADERS) $(SRC)
	ar rcs $(MYLIB) $(OBJS)
	ranlib $(MYLIB)

testserver: $(MYLIB) testserver.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) testserver.c -o testserver $(LDFLAGS) $(LIBS)

ivrd: $(MYLIB) ivrd.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) ivrd.c -o ivrd $(LDFLAGS) $(LIBS)

testclient: $(MYLIB) testclient.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) testclient.c -o testclient $(LDFLAGS) $(LIBS)

fs_cli: $(MYLIB) fs_cli.c
	$(CC) $(CC_CFLAGS) $(CFLAGS) fs_cli.c -o fs_cli $(LDFLAGS) -L$(LIBEDIT_DIR)/src/.libs -ledit $(LIBS)

%.o: %.c $(HEADERS)
	$(CC) $(CC_CFLAGS) $(CFLAGS) -c $< -o $@

%.o: %.cpp $(HEADERS)
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) -c $< -o $@

clean:
	rm -f *.o src/*.o testclient testserver ivrd fs_cli libesl.a *~ src/*~ src/include/*~
	$(MAKE) -C perl clean
	$(MAKE) -C php clean
	$(MAKE) -C lua clean
	$(MAKE) -C python clean
	$(MAKE) -C ruby clean
	$(MAKE) -C java clean
	$(MAKE) -C managed clean

reswig:	swigclean
	$(MAKE) -C perl reswig
	$(MAKE) -C php reswig
	$(MAKE) -C lua reswig
	$(MAKE) -C python reswig
	$(MAKE) -C ruby reswig
	$(MAKE) -C java reswig
	$(MAKE) -C managed reswig

swigclean: clean
	$(MAKE) -C perl swigclean
	$(MAKE) -C php swigclean
	$(MAKE) -C lua swigclean
	$(MAKE) -C python swigclean
	$(MAKE) -C ruby swigclean
	$(MAKE) -C java swigclean
	$(MAKE) -C managed swigclean

perlmod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C perl

phpmod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C php 

luamod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C lua

pymod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C python

tclmod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C tcl

rubymod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C ruby

javamod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C java

managedmod: $(MYLIB)
	$(MAKE) MYLIB="../$(MYLIB)" SOLINK="$(SOLINK)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CXX_CFLAGS="$(CXX_CFLAGS)" -C managed

perlmod-install: perlmod
	$(MAKE) -C perl install

phpmod-install: phpmod
	$(MAKE) -C php install

pymod-install: pymod
	$(MAKE) -C python install

everymod: perlmod phpmod luamod pymod rubymod javamod managedmod

=== libs/xmlrpc-c/src/test/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  srcDIR := $(call updir,$(CURDIR))
  SRCDIR := $(call updir,$(srcDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := src/test

include $(BLDDIR)/config.mk

XMLRPC_C_CONFIG = $(BLDDIR)/xmlrpc-c-config.test

LDADD_CLIENT = \
  $(shell $(XMLRPC_C_CONFIG) client --ldadd)
LDADD_ABYSS_SERVER = \
  $(shell $(XMLRPC_C_CONFIG) abyss-server --ldadd)
LDADD_CGI_SERVER = \
  $(shell $(XMLRPC_C_CONFIG) cgi-server --ldadd)

default: all

INCLUDES = -I$(BLDDIR) -I $(SRCDIR)/include -I$(SRCDIR)/lib/util/include \

PROGS = test cgitest1

all: $(PROGS)

LDFLAGS = $(LADD)

TEST_OBJS = \
  test.o \
  abyss.o \
  cgi.o \
  method_registry.o \
  parse_xml.o \
  serialize.o \
  serialize_value.o \
  server_abyss.o \
  value.o \
  xml_data.o \

ifeq ($(MUST_BUILD_CLIENT),yes)
  TEST_OBJS += client.o
  LIBXMLRPC_CLIENT_DEP = $(LIBXMLRPC_CLIENT_A)
else
  TEST_OBJS += client_dummy.o
  LIBXMLRPC_CLIENT_DEP =
endif

include $(SRCDIR)/common.mk

test: \
  $(XMLRPC_C_CONFIG) \
  $(TEST_OBJS) $(LIBXMLRPC_A) $(LIBXMLRPC_UTIL_A) \
  $(LIBXMLRPC_SERVER_A) $(LIBXMLRPC_SERVER_ABYSS_A) $(LIBXMLRPC_XML) \
  $(LIBXMLRPC_CLIENT_DEP) $(LIBXMLRPC_ABYSS_A) \
  $(LIBXMLRPC_XMLPARSE_A) $(LIBXMLRPC_XMLTOK_A) \
  $(CASPRINTF)
	$(CCLD) -o $@ $(LDFLAGS) \
	    $(TEST_OBJS) $(LDADD_CLIENT) $(LDADD_ABYSS_SERVER) $(CASPRINTF)

cgitest1:%:%.o $(LIBXMLRPC_SERVER_A) $(LIBXMLRPC_SERVER_CGI_A) \
  $(LIBXMLRPC_A) $(LIBXMLRPC_UTIL_A) $(LIBXMLRPC_XML)
	$(CCLD) -o $@ $< $(LDFLAGS) $(LDADD_CGI_SERVER)

CFLAGS = $(CFLAGS_COMMON) $(CFLAGS_PERSONAL) $(CADD)

OBJS = $(TEST_OBJS) cgitest1.o

$(OBJS):%.o:%.c
	$(CC) -c $(INCLUDES) $(CFLAGS) $<

# Note the difference between 'check' and 'runtests'.  'check' means to check
# our own correctness.  'runtests' means to run the tests that check our
# parent's correctness

.PHONY: check
check:

.PHONY: runtests
runtests: test cgitest1
	./test

.PHONY: install
install:

.PHONY: clean clean-local distclean
clean: clean-common clean-local
clean-local:
	rm -f $(PROGS)

distclean: clean distclean-common

.PHONY: dep
dep: dep-common

include Makefile.depend

=== libs/xmlrpc-c/tools/xmlrpc_transport/Makefile ===
ifeq ($(SRCDIR),)
  updir = $(shell echo $(dir $(1)) | sed 's/.$$//')
  TOOLSDIR := $(call updir,$(CURDIR))
  SRCDIR := $(call updir,$(TOOLSDIR))
  BLDDIR := $(SRCDIR)
endif
SUBDIR := tools/xmlrpc_transport

default: all

include $(BLDDIR)/config.mk

PROGRAMS_TO_INSTALL = xmlrpc_transport

include $(SRCDIR)/tools/common.mk

INCLUDES = \
  -I$(BLDDIR) \
  -I$(BLDDIR)/include \
  -I$(SRCDIR)/include \
  -I$(SRCDIR)/lib/util/include

CFLAGS = $(CFLAGS_COMMON) $(INCLUDES) $(CFLAGS_PERSONAL) $(CADD)

LDFLAGS = $(LADD)

all: xmlrpc_transport

UTIL_OBJS = \
  casprintf.o \
  cmdline_parser.o \
  getoptx.o \
  stripcaseeq.o \
  string_parser.o \

UTILS = $(UTIL_OBJS:%=$(UTIL_DIR)/%)

# These are the Libtool .la files.  We use them only for make dependencies.
# We'd like to use these in the link rule, by using libtool --link, but
# Libtool adds -l options to the link to cover the dependencies that are
# recorded inside the shared libraries.  And it doesn't add the necessary
# -L options (it can't), so we end up with a messy mixture of the two
# forms of specifying libraries.

LIBS = $(LIBXMLRPC_CLIENT) $(LIBXMLRPC) $(LIBXMLRPC_XML) $(LIBXMLRPC_UTIL)

xmlrpc_transport:%:%.o $(LIBS) $(UTILS)
	$(CCLD) -o $@ $(LDFLAGS) $< $(CLIENT_LDLIBS) $(UTILS)

%.o:%.c
	$(CC) -c $(CFLAGS) $<

# This common.mk dependency makes sure the symlinks get built before
# this make file is used for anything.

$(SRCDIR)/tools/common.mk: srcdir blddir

include Makefile.depend

.PHONY: dep
dep: dep-common

.PHONY: clean
clean: clean-common
	rm -f xmlrpc_transport config.h

.PHONY: distclean
distclean: clean distclean-common

=== src/mod/applications/mod_avmd/Makefile ===
BASE=../../../..
MOD_CFLAGS= -O2
#MOD_CFLAGS= -march=core2 -g -O2 -malign-double -mtune=core2 -mmmx -msse -msse2 -msse3 -mssse3 -mfpmath=sse -ffast-math -funroll-loops -fprefetch-loop-arrays -funit-at-a-time -ftracer --save-temps
#MOD_LDFLAGS= --save-temps
LOCAL_SOURCES=amplitude.c buffer.c desa2.c goertzel.c fast_acosf.c
LOCAL_OBJS=amplitude.o buffer.o desa2.o goertzel.o fast_acosf.o
include $(BASE)/build/modmake.rules

#compute_table: compute_table.o
#	gcc -o compute_table compute_table.o -lm
#
#compute_table.o: compute_table.c
#	gcc -c compute_table.c
#

=== src/mod/applications/mod_esl/Makefile ===
BASE=../../../..

ESL_DIR = $(switch_srcdir)/libs/esl

LOCAL_LDFLAGS=-L$(ESL_DIR) -lesl
LOCAL_OBJS=$(ESL_DIR)/libesl.so
LOCAL_LIBADD=$(ESL_DIR)/libesl.so
LOCAL_CFLAGS=-I$(ESL_DIR)/src/include

include $(BASE)/build/modmake.rules

$(ESL_DIR)/libesl.so: $(ESL_DIR)/Makefile
	cd $(ESL_DIR) && $(MAKE) -j1

=== src/mod/applications/mod_fsk/Makefile ===
BASE=../../../..

LOCAL_SOURCES=fsk.c uart.c fsk_callerid.c
LOCAL_OBJS=fsk.o uart.o fsk_callerid.o
include $(BASE)/build/modmake.rules

=== src/mod/applications/mod_mongo/Makefile ===
BASE=../../../..

MONGO_CXX_DRIVER_VERSION=v1.8
MONGO_CXX_DRIVER_URL=http://downloads.mongodb.org/cxx-driver
MONGO_CXX_DRIVER_TARBALL=mongodb-linux-x86_64-$(MONGO_CXX_DRIVER_VERSION)-latest.tgz
MONGO_CXX_DRIVER_SRC=$(BASE)/libs/mongo-cxx-driver-$(MONGO_CXX_DRIVER_VERSION)
LIBMONGOCLIENT_A =$(MONGO_CXX_DRIVER_SRC)/libmongoclient.a

LOCAL_SOURCES=mongo_conn.cpp
LOCAL_OBJS=mongo_conn.o

LOCAL_CFLAGS=-I$(MONGO_CXX_DRIVER_SRC)/mongo
LOCAL_LIBADD=$(LIBMONGOCLIENT_A)
LOCAL_LDFLAGS=-lboost_thread -lboost_filesystem-mt -lboost_system-mt
MODDIR=$(shell pwd)


include $(BASE)/build/modmake.rules

$(MONGO_CXX_DRIVER_SRC):
	$(GETLIB) $(MONGO_CXX_DRIVER_URL) $(MONGO_CXX_DRIVER_TARBALL)
	cd $(MONGO_CXX_DRIVER_SRC) && patch -p0 -i $(MODDIR)/fpic_hack.diff
	$(TOUCH_TARGET)


$(LIBMONGOCLIENT_A): $(MONGO_CXX_DRIVER_SRC)
	(cd $(MONGO_CXX_DRIVER_SRC) && \
		sed -i SConstruct -e "s/Environment()/Environment(ENV = {'PATH' : os.environ['PATH'],'CFLAGS' : os.environ['CFLAGS'],'CXXFLAGS' : os.environ['CXXFLAGS']})/" && \
		echo "env.Append(PATH=os.environ['PATH'])" >> SConstruct && \
		scons)
	$(TOUCH_TARGET)

=== src/mod/applications/mod_soundtouch/Makefile ===
BASE=../../../..
VERSION=soundtouch-1.6.0
SNDT_SRC=$(switch_srcdir)/libs/soundtouch
SNDT_BUILD=$(switch_builddir)/libs/soundtouch
LA=$(SNDT_BUILD)/source/SoundTouch/.libs/libSoundTouch.a

LOCAL_CFLAGS += -I$(SNDT_SRC)/include -DINTEGER_SAMPLES -I$(SNDT_BUILD)/include
LOCAL_LIBADD=$(LA)

include $(BASE)/build/modmake.rules

$(SNDT_SRC):
	$(GETLIB) $(VERSION).tar.gz

$(SNDT_BUILD)/Makefile: $(SNDT_SRC)
	mkdir -p $(SNDT_BUILD)
	rm -rf $(SNDT_BUILD)/config/m4/*
	rm -rf $(SNDT_SRC)/config/m4/*
	cd $(SNDT_SRC) && AUTOMAKE="automake --add-missing --foreign --copy" autoreconf -fisv 
	cd ${SNDT_BUILD} && $(DEFAULT_VARS) $(SNDT_SRC)/configure $(DEFAULT_ARGS) --enable-integer-samples --srcdir=$(SNDT_SRC)
	${TOUCH_TARGET}
	

$(LA): $(SNDT_BUILD)/Makefile 
	cd $(SNDT_BUILD) && ${MAKE}
	$(TOUCH_TARGET)

=== src/mod/asr_tts/mod_flite/Makefile ===
FLITE=flite-1.5.4

FLITE_DIR=$(switch_srcdir)/libs/$(FLITE)-current
FLITE_BUILDDIR=$(switch_builddir)/libs/$(FLITE)-current

FLITE_LIBDIR=$(FLITE_BUILDDIR)/build/libs
FLITE_A=$(FLITE_LIBDIR)/libflite_cmu_us_awb.a \
	$(FLITE_LIBDIR)/libflite_cmu_us_kal.a \
	$(FLITE_LIBDIR)/libflite_cmu_us_kal16.a \
	$(FLITE_LIBDIR)/libflite_cmu_us_rms.a \
	$(FLITE_LIBDIR)/libflite_cmu_us_slt.a \
	$(FLITE_LIBDIR)/libflite_cmulex.a $(FLITE_LIBDIR)/libflite_usenglish.a $(FLITE_LIBDIR)/libflite.a -lm

LOCAL_CFLAGS=-I$(FLITE_DIR)/include -I$(FLITE_BUILDDIR)/include
LOCAL_LIBADD=$(FLITE_A)

BASE=../../../..
include $(BASE)/build/modmake.rules

$(MODNAME).lo: $(FLITE_A)
$(FLITE_DIR):
	$(GETLIB) $(FLITE)-current.tar.bz2

$(FLITE_BUILDDIR)/Makefile: $(FLITE_DIR)
	mkdir -p $(FLITE_BUILDDIR)
	cd $(FLITE_BUILDDIR) && $(DEFAULT_VARS) $(FLITE_DIR)/configure $(DEFAULT_ARGS) --srcdir=$(FLITE_DIR) --with-audio=none --with-pic --disable-shared
	$(TOUCH_TARGET)

$(FLITE_A): $(FLITE_DIR) $(FLITE_BUILDDIR)/Makefile
	cd $(FLITE_BUILDDIR) && $(MAKE) -j1
	test -d $(FLITE_LIBDIR) || mkdir $(FLITE_LIBDIR)
	TARGET_OS=`grep TARGET_OS $(FLITE_BUILDDIR)/config/config | sed "s/^.*= //"` ;\
	TARGET_CPU=`grep TARGET_CPU $(FLITE_BUILDDIR)/config/config | sed "s/^.*= //"` ;\
	cd $(FLITE_BUILDDIR) && cp build/$$TARGET_CPU-$$TARGET_OS/lib/*.a $(FLITE_LIBDIR)

=== src/mod/codecs/mod_opus/Makefile ===
BASE=../../../..

OPUS=opus-0.9.0

OPUS_DIR=$(switch_srcdir)/libs/$(OPUS)
OPUS_BUILDDIR=$(switch_builddir)/libs/$(OPUS)
LOCAL_CFLAGS=-I$(OPUS_DIR)/src -g -O2

IETF_LA=$(OPUS_BUILDDIR)/src/libietfcodec.la
CELT_LA=$(OPUS_BUILDDIR)/celt/libcelt/libcelt0.la
SILK_LA=$(OPUS_BUILDDIR)/silk/libSKP_SILK_SDK.la

LOCAL_LIBADD=$(IETF_LA) $(CELT_LA) $(SILK_LA) -lm -lz

include $(BASE)/build/modmake.rules

$(OPUS_DIR):
	$(GETLIB) $(OPUS).tar.gz

$(OPUS_BUILDDIR)/Makefile: $(OPUS_DIR)
	mkdir -p $(OPUS_BUILDDIR)
	cd $(OPUS_BUILDDIR) && $(DEFAULT_VARS) $(OPUS_DIR)/configure --disable-shared --with-pic --srcdir=$(OPUS_DIR)
	$(TOUCH_TARGET)

$(IETF_LA): $(OPUS_BUILDDIR)/Makefile
	cd $(OPUS_BUILDDIR) && $(MAKE)
	$(TOUCH_TARGET)

$(CELT_LA): $(IETF_LA)
$(SILK_LA): $(IETF_LA)

$(MODNAME).lo: $(IETF_LA) $(CELT_LA) $(SILK_LA)

=== src/mod/codecs/mod_sangoma_codec/Makefile ===
BASE=../../../..
LOCAL_LDFLAGS += -lsngtc_node
include $(BASE)/build/modmake.rules

=== src/mod/endpoints/mod_gsmopen/Makefile ===
MODNAME=mod_gsmopen
LOCAL_CFLAGS += -I../../../../libs/spandsp/src -I../../../..//libs/tiff-3.8.2/libtiff -DGSMOPEN_C_VER=\"`git log -1 --format="%h" gsmopen_protocol.cpp`\" -DMODGSMOPEN_C_VER=\"`git log -1 --format="%h" mod_gsmopen.cpp`\"
LOCAL_LDFLAGS=-L../../../../libs/spandsp/src -lspandsp -lctb-0.16 -lgsmme
LOCAL_OBJS=gsmopen_protocol.o
include ../../../../build/modmake.rules

=== libs/xmlrpc-c/debian/control ===
Source: xmlrpc-c
Section: devel
Priority: optional
Maintainer: Eric Kidd <eric.kidd@pobox.com>
Build-Depends: debhelper (>> 3.0.0), libwww0 (>= 5.3.2), libwww-dev (>= 5.3.2)
Standards-Version: 3.5.2

Package: xmlrpc-c0
Architecture: any
Depends: ${shlibs:Depends}
Description: A library implementing XML-based remote procedure calls
 XML-RPC is a lightweight RPC protocol based on XML and HTTP. This package
 is used by XML-RPC clients and servers written in C and C++. 

Package: xmlrpc-c-dev
Architecture: any
Depends: xmlrpc-c0 (= ${Source-Version}), libc6-dev, libstdc++-dev, libfrontier-rpc-perl
Description: Libraries and header files for developing XML-RPC applications
 Static libraries and header files for writing XML-RPC applications in C and
 C++.

Package: xmlrpc-c-apps
Architecture: any
Depends: xmlrpc-c0 (= ${Source-Version}), ${shlibs:Depends}
Description: Sample XML-RPC applications
 Some handy XML-RPC demo applications based on the Meerkat Open Wire Service
 (found at http://www.oreillynet.com/meerkat/). You can use 'query-meerkat' to
 perform a regex search on recent news items, or 'meerkat-app-list' to get
 a list of recent Linux software releases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode:makefile -*-
##### Author: Travis Cross <tc@traviscross.com>

#export DH_VERBOSE=1

FS_CC?=gcc
FS_CXX?=g++
FS_CFLAGS?=-ggdb3 -O2
FS_CPPFLAGS?=
FS_CXXFLAGS?=$(FS_CFLAGS)
export PATH?=/usr/lib/ccache:/usr/sbin:/usr/bin:/sbin:/bin
export CC=$(FS_CC)
export CXX=$(FS_CXX)
export CFLAGS=$(FS_CFLAGS)
export CPPFLAGS=$(FS_CPPFLAGS)
export CXXFLAGS=$(FS_CXXFLAGS)

show_vars= \
	echo; \
	echo "Making target $@"; \
	echo "PATH='$(PATH)'"; \
	echo "CC='$(CC)'"; \
	echo "CXX='$(CXX)'"; \
	echo "CFLAGS='$(CFLAGS)'"; \
	echo "CXXFLAGS='$(CXXFLAGS)'"; \
	echo "CCACHE_DIR='$(CCACHE_DIR)'"; \
	echo;

binary:
	@$(call show_vars)
	dh $@
binary-arch:
	@$(call show_vars)
	dh $@
binary-indep:
	@$(call show_vars)
	dh $@
build-arch:
	@$(call show_vars)
	dh $@
build-indep:
	@$(call show_vars)
	dh $@
build: debian/.stamp-bootstrap
	@$(call show_vars)
	dh $@
clean:
	dh $@

override_dh_auto_clean:
	dh_clean

.stamp-bootstrap:
	@$(call show_vars)
	./bootstrap.sh -j
	touch $@

.stamp-configure: .stamp-bootstrap
	@$(call show_vars)
	touch noreg
	cp debian/modules_.conf modules.conf
	./configure -C --enable-portable-binary --disable-dependency-tracking \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--with-gnu-ld --with-python --with-erlang --with-openssl \
		--enable-core-odbc-support --enable-zrtp \
		--prefix=/usr --localstatedir=/var \
		--sysconfdir=/etc/freeswitch \
		--with-modinstdir=/usr/lib/freeswitch/mod \
		--with-rundir=/var/run/freeswitch \
		--with-logfiledir=/var/log/freeswitch \
		--with-dbdir=/var/lib/freeswitch/db \
		--with-htdocsdir=/usr/share/freeswitch/htdocs \
		--with-soundsdir=/usr/share/freeswitch/sounds \
		--with-grammardir=/usr/share/freeswitch/grammar \
		--with-scriptdir=/usr/share/freeswitch/scripts \
		--with-recordingsdir=/var/lib/freeswitch/recordings
	touch $@

override_dh_auto_configure: .stamp-configure

.stamp-build: .stamp-configure
	@$(call show_vars)
	make
	touch $@

override_dh_auto_build: .stamp-build

override_dh_auto_test:

override_dh_strip:
	dh_strip -a -k
	./debian/util.sh create-dbg-pkgs

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/lib/systemd/system
	install -m0644 debian/freeswitch-systemd.freeswitch.service debian/tmp/lib/systemd/system/freeswitch.service
	rm -f debian/tmp/usr/share/freeswitch/grammar/model/communicator/COPYING

override_dh_installinit:
	dh_installinit -pfreeswitch-sysvinit --name=freeswitch

debian-bootstrap: debian/.stamp-bootstrap
debian/.stamp-bootstrap:
	(cd debian && ./bootstrap.sh)
	touch $@

build-depends: debian/.stamp-build-depends
debian/.stamp-build-depends:
	./debian/util.sh install-build-depends
	touch $@

binary-basetest:
	@$(call show_vars)
	echo "applications/mod_commands" > debian/modules.conf
	(cd debian && ./bootstrap.sh)
	dh binary

binary-quicktest:
	@$(call show_vars)
	echo "applications/mod_commands" > debian/modules.conf
	(cd debian && ./bootstrap.sh)
	dh binary
